from rest_framework import serializers

from billard.models import LocationData, ClientData


class LocationDataSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = LocationData
        fields = ('client_id', 'desk_no', 'tst', 'on_off',)


class ClientUpdateLastSeenSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = ClientData
        fields = ('uuid', 'last_seen')
